package dev.adriankuta.flights.model.datasource.airports.entities

interface AirportInfoModel {
    val code: String
    val name: String
    val seoName: String
    val isBase: Boolean
    val timeZone: String

    // City properties
    val cityCode: String
    val cityName: String

    // MacCity properties
    val macCode: String

    // Region properties
    val regionCode: String
    val regionName: String

    // Country properties
    val countryCode: String
    val countryName: String
    val countryCurrencyCode: String

    // Coordinates properties
    val latitude: Double
    val longitude: Double
}
