package dev.adriankuta.flights.domain.search

import dev.adriankuta.flights.domain.types.AirportInfo
import kotlinx.coroutines.flow.Flow

fun interface ObserveAirportsUseCase {
    operator fun invoke(): Flow<List<AirportInfo>?>
}
