package dev.adriankuta.flights.ui.designsystem.theme

import androidx.compose.ui.unit.dp

object Elevation {
    val AppBar = ElevationTokens.Level3
    val Surface = ElevationTokens.Level2
    val Card = ElevationTokens.Level2
}

object ElevationTokens {
    val Level0 = 0.0.dp
    val Level1 = 1.0.dp
    val Level2 = 3.0.dp
    val Level3 = 6.0.dp
    val Level4 = 8.0.dp
    val Level5 = 12.0.dp
}
